<div ng-controller="territoryTreeController as self">
    <div class="row" ng-show="self.loading.tree">
        <div class="col-xs-12 text-center">
            <?= $this->icon('loading') ?>
        </div>
    </div>
    <div class="row">
        <div class="col-xs-12 text-align-center tree">
            <ul>
                <li ng-include="'node-tree.html'" ng-repeat="node in self.tree"></li>
            </ul>

            <script type="text/ng-template" id="node-tree.html">
                <span ng-click="node.open = !node.open;">
                    <i class="fa pointer" ng-class="{
                        'fa-folder-open': node.open,
                        'fa-folder': !node.open
                    }"></i>
                </span>
                <a href="<?= $this->url('map/territory/form') ?>/{{node.id}}" target="_blank">
                    {{node.code}} - {{node.name}}
                </a>
                <ul ng-show="node.open">
                    <li ng-include="'node-tree.html'" ng-repeat="node in node.children"></li>
                </ul>
            </script>
        </div>
    </div>
</div>
